/*=================================================================
  Theme Name: Nelluce - Multipurpose Responsive HTML5 Blog Template
  Version: 1.0
  Author: OG Web Solutions
=================================================================*/


/*================================================================
	JS Index 
==================================================================
  01. Preloader
  02. Back to Top
	03. Fixed Header
	04. Navbar
	05. Smooth Scroll
	06. Form Validation
	07. Related Content Slider
	08. Parallax
=================================================================*/


"use strict"

	/*================================================================
	  01. Preloader
  =================================================================*/

  $(window).on("load", function () {
	$(".preloader").delay(200).fadeOut("slow");
});

 /*================================================================
	  02. Back to Top
  =================================================================*/


  $(window).on("scroll", function (e) {
	if ($(this).scrollTop() != 0) {
	  $('.back-to-top').fadeIn();
	} else {
	  $('.back-to-top').fadeOut();
	}
  });
  $(document).on('click', '.back-to-top a', function (e) {
	e.preventDefault();
	$('body,html').animate({
	  scrollTop: 0
	}, 500);
  });

    /*================================================================
    03. Fixed Header
  =================================================================*/


  $(window).on('scroll', function () {
	var scroll = $(window).scrollTop();
	if (scroll < 1) {
	  $("header").removeClass("sticky");
	} else {
	  $("header").addClass("sticky");
	}
  });

	
	/*================================================================
	  04. Hero Slider
  =================================================================*/

	$('#hero-slider').slick({
		infinite: true,
		arrows: true,
		dots: false,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: false,
		adaptiveHeight: true,
		prevArrow: '<button class="slick-prev slick-arrow" aria-label="Previous" type="button"><i class="fa fa-angle-left"></i></button>',
		nextArrow: '<button class="slick-next slick-arrow" aria-label="Next" type="button"><i class="fa fa-angle-right"></i></button>',
		responsive: [{
			breakpoint: 991,
			settings: {
				autoplay: true,
				arrows: false,
			}
		}, ]
	});

	/*================================================================
	  05. Hero Slider
  =================================================================*/

	$('#trending-clicks-slider').slick({
		infinite: true,
		arrows: true,
		dots: false,
		autoplay: true,
		slidesToShow: 4,
		slidesToScroll: 1,
		autoplaySpeed: 5000,
		prevArrow: '<button class="slick-prev slick-arrow" aria-label="Previous" type="button"><i class="fa fa-angle-left"></i></button>',
		nextArrow: '<button class="slick-next slick-arrow" aria-label="Next" type="button"><i class="fa fa-angle-right"></i></button>',
		responsive: [{
			breakpoint: 768,
			settings: {
				slidesToShow: 3,
			}
		},
		{
			breakpoint: 576,
			settings: {
				slidesToShow: 1,
			}
		}, ]
	});

	/*================================================================
	  06. Recent Post Slider
  =================================================================*/


	$('#recent-post-slider').slick({
		infinite: true,
		dots: true,
		arrows: false,
		autoplay: true,
	});

	/*================================================================
	  07. Layout Slider
  =================================================================*/

	$('.layout-01-slider').slick({
		infinite: true,
		dots: false,
		arrows: true,
		autoplay: false,
		slidesToShow: 1,
		slidesToScroll: 1,
		prevArrow: '<button class="slick-prev slick-arrow" aria-label="Previous" type="button"><i class="fa fa-angle-left"></i></button>',
		nextArrow: '<button class="slick-next slick-arrow" aria-label="Next" type="button"><i class="fa fa-angle-right"></i></button>',
	});

	$('.layout-02-slider').slick({
		infinite: true,
		dots: false,
		arrows: true,
		autoplay: false,
		prevArrow: '<button class="slick-prev slick-arrow" aria-label="Previous" type="button"><i class="fa fa-angle-left"></i></button>',
		nextArrow: '<button class="slick-next slick-arrow" aria-label="Next" type="button"><i class="fa fa-angle-right"></i></button>',
	});

	$('.layout-03-slider').slick({
		infinite: true,
		dots: false,
		arrows: true,
		autoplay: false,
		slidesToShow: 3,
		slidesToScroll: 1,
		prevArrow: '<button class="slick-prev slick-arrow" aria-label="Previous" type="button"><i class="fa fa-angle-left"></i></button>',
		nextArrow: '<button class="slick-next slick-arrow" aria-label="Next" type="button"><i class="fa fa-angle-right"></i></button>',
		responsive: [{
			breakpoint: 992,
			settings: {
				slidesToShow: 2,
			}
		},]
	});

	/*================================================================
	  08. Layout Slider
  =================================================================*/

	function openSearch() {
		$('.search-area').addClass('active');
		$('.search-form .form-control').focus();
	}

	function closeSearch() {
		$('.search-area').removeClass('active');
		$('.search-form .form-control').blur();
		$('.search-form .form-control').val();
	}

	$(document).on('click', '.search a', function(){
		openSearch();
	});

	$(document).on('click', '#search-close', function(){
		closeSearch();
	});

	$(document).on('keyup', function (e) {
		if (e.keyCode === 27) {
			closeSearch();
		}
	});

